package com.uas.platform.b2b.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.model.PurchaseBadOut;
import com.uas.platform.b2b.model.PurchaseBadOutItem;
import com.uas.platform.core.model.PageInfo;

public interface PurchaseBadOutService {

	/**
	 * 批量保存、修改客户不良品出库单
	 * 
	 * @param changeItems
	 * @return
	 */
	public void save(List<PurchaseBadOutItem> badOutItems);
	
	/**
	 * 获取需要上传（到卖方）的未上传客户不良品出库单
	 * @return
	 */
	public List<PurchaseBadOut> findNotUpload();
	
	/**
	 * 上传好需要上传的客户不良品出库单后修改单据的上传状态
	 * @param idArray
	 */
	public void onUploadSuccess(String[] idArray);

	/**
	 * 分页查找客客户不良品出库单，包括明细
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<PurchaseBadOut> findAllByPageInfo(PageInfo pageInfo);
	
	/**
	 * 用客户不良品出库单ID查找客户不良品出库单
	 * 
	 * @param id
	 * @return
	 */
	public PurchaseBadOut findById(Long id);

}
